Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class AlgorithmIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.AlgorithmIdentifier

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  EncryptionScheme, KeyDerivationFunc, PBES2Algorithms

    public class AlgorithmIdentifier

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`AlgorithmIdentifier(ASN1Sequence seq)`
`AlgorithmIdentifier(DERObjectIdentifier objectId)`
`AlgorithmIdentifier(DERObjectIdentifier objectId, DEREncodable parameters)`
`AlgorithmIdentifier(java.lang.String objectId)`

Method Summary
`static AlgorithmIdentifier` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static AlgorithmIdentifier` `getInstance(java.lang.Object obj)`
`DERObjectIdentifier` `getObjectId()`
`DEREncodable` `getParameters()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlgorithmIdentifier

    public AlgorithmIdentifier(DERObjectIdentifier objectId)

### AlgorithmIdentifier

    public AlgorithmIdentifier(java.lang.String objectId)

### AlgorithmIdentifier

    public AlgorithmIdentifier(DERObjectIdentifier objectId,
                               DEREncodable parameters)

### AlgorithmIdentifier

    public AlgorithmIdentifier(ASN1Sequence seq)

Method Detail

### getInstance

    public static AlgorithmIdentifier getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

### getInstance

    public static AlgorithmIdentifier getInstance(java.lang.Object obj)

### getObjectId

    public DERObjectIdentifier getObjectId()

### getParameters

    public DEREncodable getParameters()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

            AlgorithmIdentifier ::= SEQUENCE {
                                  algorithm OBJECT IDENTIFIER,
                                  parameters ANY DEFINED BY algorithm OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45